const  LDA_X                      =      1 # Slater exchange
const  LDA_C_WIGNER               =      2 # Wigner
const  LDA_C_RPA                  =      3 # Random Phase Approximation (RPA)
const  LDA_C_HL                   =      4 # Hedin & Lundqvist
const  LDA_C_GL                   =      5 # Gunnarson & Lundqvist
const  LDA_C_XALPHA               =      6 # Slater's Xalpha
const  LDA_C_VWN                  =      7 # Vosko, Wilk & Nusair (VWN5)
const  LDA_C_VWN_RPA              =      8 # Vosko, Wilk & Nusair (VWN5_RPA)
const  LDA_C_PZ                   =      9 # Perdew & Zunger
const  LDA_C_PZ_MOD               =     10 # Perdew & Zunger (Modified)
const  LDA_C_OB_PZ                =     11 # Ortiz & Ballone (PZ parametrization)
const  LDA_C_PW                   =     12 # Perdew & Wang
const  LDA_C_PW_MOD               =     13 # Perdew & Wang (modified)
const  LDA_C_OB_PW                =     14 # Ortiz & Ballone (PW parametrization)
const  LDA_C_2D_AMGB              =     15 # AMGB (for 2D systems)
const  LDA_C_2D_PRM               =     16 # PRM (for 2D systems)
const  LDA_C_VBH                  =     17 # von Barth & Hedin
const  LDA_C_1D_CSC               =     18 # Casula, Sorella & Senatore
const  LDA_X_2D                   =     19 # Slater exchange
const  LDA_XC_TETER93             =     20 # Teter 93
const  LDA_X_1D                   =     21 # Exchange in 1D
const  LDA_C_ML1                  =     22 # Modified LSD (version 1) of Proynov and Salahub
const  LDA_C_ML2                  =     23 # Modified LSD (version 2) of Proynov and Salahub
const  LDA_C_GOMBAS               =     24 # Gombas
const  LDA_C_PW_RPA               =     25 # Perdew & Wang (fit to the RPA energy)
const  LDA_C_1D_LOOS              =     26 # P-F Loos correlation LDA
const  LDA_C_RC04                 =     27 # Ragot-Cortona
const  LDA_C_VWN_1                =     28 # Vosko, Wilk & Nusair (VWN1)
const  LDA_C_VWN_2                =     29 # Vosko, Wilk & Nusair (VWN2)
const  LDA_C_VWN_3                =     30 # Vosko, Wilk & Nusair (VWN3)
const  LDA_C_VWN_4                =     31 # Vosko, Wilk & Nusair (VWN4)
const  GGA_X_GAM                  =     32 # Minnesota GAM exhange functional
const  GGA_C_GAM                  =     33 # GAM functional from Minnesota
const  GGA_X_HCTH_A               =     34 # HCTH-A
const  GGA_X_EV93                 =     35 # Engel and Vosko
const  HYB_MGGA_X_DLDF            =     36 # Dispersionless Density Functional
const  MGGA_C_DLDF                =     37 # Dispersionless Density Functional
const  GGA_X_BCGP                 =     38 # Burke, Cancio, Gould, and Pittalis
const  GGA_C_BCGP                 =     39 # Burke, Cancio, Gould, and Pittalis
const  GGA_X_LAMBDA_OC2_N         =     40 # lambda_OC2(N) version of PBE
const  GGA_X_B86_R                =     41 # Revised Becke 86 with modified gradient correction
const  MGGA_XC_ZLP                =     42 # Zhao, Levy & Parr, Eq. (21)
const  LDA_XC_ZLP                 =     43 # Zhao, Levy & Parr, Eq. (20)
const  GGA_X_LAMBDA_CH_N          =     44 # lambda_CH(N) version of PBE
const  GGA_X_LAMBDA_LO_N          =     45 # lambda_LO(N) version of PBE
const  GGA_X_HJS_B88_V2           =     46 # HJS screened exchange B88 corrected version
const  GGA_C_Q2D                  =     47 # Chiodo et al
const  GGA_X_Q2D                  =     48 # Chiodo et al
const  GGA_X_PBE_MOL              =     49 # Reparametrized PBE by del Campo, Gazquez, Trickey & Vela
const  LDA_K_TF                   =     50 # Thomas-Fermi kinetic energy
const  LDA_K_LP                   =     51 # Lee and Parr Gaussian ansatz for the kinetic energy
const  GGA_K_TFVW                 =     52 # Thomas-Fermi plus von Weiszaecker correction
const  GGA_K_REVAPBEINT           =     53 # interpolated version of revAPBE
const  GGA_K_APBEINT              =     54 # interpolated version of APBE
const  GGA_K_REVAPBE              =     55 # revised APBE
const  GGA_X_AK13                 =     56 # Armiento & Kuemmel 2013
const  GGA_K_MEYER                =     57 # Meyer,  Wang, and Young
const  GGA_X_LV_RPW86             =     58 # Berland and Hyldgaard
const  GGA_X_PBE_TCA              =     59 # PBE revised by Tognetti et al
const  GGA_X_PBEINT               =     60 # PBE for hybrid interfaces
const  GGA_C_ZPBEINT              =     61 # spin-dependent gradient correction to PBEint
const  GGA_C_PBEINT               =     62 # PBE for hybrid interfaces
const  GGA_C_ZPBESOL              =     63 # spin-dependent gradient correction to PBEsol
const  MGGA_XC_OTPSS_D            =     64 # oTPSS-D functional of Goerigk and Grimme
const  GGA_XC_OPBE_D              =     65 # oPBE-D functional of Goerigk and Grimme
const  GGA_XC_OPWLYP_D            =     66 # oPWLYP-D functional of Goerigk and Grimme
const  GGA_XC_OBLYP_D             =     67 # oBLYP-D functional of Goerigk and Grimme
const  GGA_X_VMT84_GE             =     68 # VMT{8,4} with constraint satisfaction with mu = mu_GE
const  GGA_X_VMT84_PBE            =     69 # VMT{8,4} with constraint satisfaction with mu = mu_PBE
const  GGA_X_VMT_GE               =     70 # Vela, Medel, and Trickey with mu = mu_GE
const  GGA_X_VMT_PBE              =     71 # Vela, Medel, and Trickey with mu = mu_PBE
const  MGGA_C_CS                  =     72 # Colle and Salvetti
const  MGGA_C_MN12_SX             =     73 # Minnesota MN12-SX correlation functional
const  MGGA_C_MN12_L              =     74 # Minnesota MN12-L correlation functional
const  MGGA_C_M11_L               =     75 # Minnesota M11-L correlation functional
const  MGGA_C_M11                 =     76 # Minnesota M11 correlation functional
const  MGGA_C_M08_SO              =     77 # Minnesota M08-SO correlation functional
const  MGGA_C_M08_HX              =     78 # Minnesota M08 correlation functional
const  GGA_C_N12_SX               =     79 # Minnesota N12-SX functional
const  GGA_C_N12                  =     80 # Minnesota N12 functional
const  HYB_GGA_X_N12_SX           =     81 # Minnesota N12-SX exchange functional
const  GGA_X_N12                  =     82 # Minnesota N12 exchange functional
const  GGA_C_REGTPSS              =     83 # regularized TPSS correlation
const  GGA_C_OP_XALPHA            =     84 # one-parameter progressive functional (Xalpha version)
const  GGA_C_OP_G96               =     85 # one-parameter progressive functional (G96 version)
const  GGA_C_OP_PBE               =     86 # one-parameter progressive functional (PBE version)
const  GGA_C_OP_B88               =     87 # one-parameter progressive functional (B88 version)
const  GGA_C_FT97                 =     88 # Filatov & Thiel correlation
const  GGA_C_SPBE                 =     89 # PBE correlation to be used with the SSB exchange
const  GGA_X_SSB_SW               =     90 # Swart, Sola and Bickelhaupt correction to PBE
const  GGA_X_SSB                  =     91 # Swart, Sola and Bickelhaupt
const  GGA_X_SSB_D                =     92 # Swart, Sola and Bickelhaupt dispersion
const  GGA_XC_HCTH_407P           =     93 # HCTH/407+
const  GGA_XC_HCTH_P76            =     94 # HCTH p=7/6
const  GGA_XC_HCTH_P14            =     95 # HCTH p=1/4
const  GGA_XC_B97_GGA1            =     96 # Becke 97 GGA-1
const  GGA_C_HCTH_A               =     97 # HCTH-A
const  GGA_X_BPCCAC               =     98 # BPCCAC (GRAC for the energy)
const  GGA_C_REVTCA               =     99 # Tognetti, Cortona, Adamo (revised)
const  GGA_C_TCA                  =    100 # Tognetti, Cortona, Adamo
const  GGA_X_PBE                  =    101 # Perdew, Burke & Ernzerhof
const  GGA_X_PBE_R                =    102 # Revised PBE from Zhang & Yang
const  GGA_X_B86                  =    103 # Becke 86
const  GGA_X_HERMAN               =    104 # Herman Xalphabeta GGA
const  GGA_X_B86_MGC              =    105 # Becke 86 with modified gradient correction
const  GGA_X_B88                  =    106 # Becke 88
const  GGA_X_G96                  =    107 # Gill 96
const  GGA_X_PW86                 =    108 # Perdew & Wang 86
const  GGA_X_PW91                 =    109 # Perdew & Wang 91
const  GGA_X_OPTX                 =    110 # Handy & Cohen OPTX 01
const  GGA_X_DK87_R1              =    111 # dePristo & Kress 87 version R1
const  GGA_X_DK87_R2              =    112 # dePristo & Kress 87 version R2
const  GGA_X_LG93                 =    113 # Lacks & Gordon 93
const  GGA_X_FT97_A               =    114 # Filatov & Thiel 97 (version A)
const  GGA_X_FT97_B               =    115 # Filatov & Thiel 97 (version B)
const  GGA_X_PBE_SOL              =    116 # Perdew, Burke & Ernzerhof SOL
const  GGA_X_RPBE                 =    117 # Hammer, Hansen, and Norskov
const  GGA_X_WC                   =    118 # Wu & Cohen
const  GGA_X_MPW91                =    119 # mPW91 of Adamo & Barone
const  GGA_X_AM05                 =    120 # Armiento & Mattsson 05
const  GGA_X_PBEA                 =    121 # Madsen 07
const  GGA_X_MPBE                 =    122 # Adamo & Barone modification to PBE
const  GGA_X_XPBE                 =    123 # Extended PBE by Xu & Goddard III
const  GGA_X_2D_B86_MGC           =    124 # Becke 86 with modified gradient correction for 2D
const  GGA_X_BAYESIAN             =    125 # Bayesian best fit for the enhancement factor
const  GGA_X_PBE_JSJR             =    126 # Reparametrized PBE by Pedroza, Silva & Capelle
const  GGA_X_2D_B88               =    127 # Becke 88 in 2D
const  GGA_X_2D_B86               =    128 # Becke 86 in 2D
const  GGA_X_2D_PBE               =    129 # Perdew, Burke & Ernzerhof in 2D
const  GGA_C_PBE                  =    130 # Perdew, Burke & Ernzerhof
const  GGA_C_LYP                  =    131 # Lee, Yang & Parr
const  GGA_C_P86                  =    132 # Perdew 86
const  GGA_C_PBE_SOL              =    133 # Perdew, Burke & Ernzerhof SOL
const  GGA_C_PW91                 =    134 # Perdew & Wang 91
const  GGA_C_AM05                 =    135 # Armiento & Mattsson 05
const  GGA_C_XPBE                 =    136 # Extended PBE by Xu & Goddard III
const  GGA_C_LM                   =    137 # Langreth & Mehl
const  GGA_C_PBE_JRGX             =    138 # Reparametrized PBE by Pedroza, Silva & Capelle
const  GGA_X_OPTB88_VDW           =    139 # opt-Becke 88 for vdW
const  GGA_X_PBEK1_VDW            =    140 # Reparametrized PBE for vdW
const  GGA_X_OPTPBE_VDW           =    141 # Reparametrized PBE for vdW
const  GGA_X_RGE2                 =    142 # Regularized PBE
const  GGA_C_RGE2                 =    143 # Regularized PBE
const  GGA_X_RPW86                =    144 # Refitted Perdew & Wang 86
const  GGA_X_KT1                  =    145 # Exchange part of Keal and Tozer version 1
const  GGA_XC_KT2                 =    146 # Keal and Tozer, version 2
const  GGA_C_WL                   =    147 # Wilson & Levy
const  GGA_C_WI                   =    148 # Wilson & Ivanov
const  GGA_X_MB88                 =    149 # Modified Becke 88 for proton transfer
const  GGA_X_SOGGA                =    150 # Second-order generalized gradient approximation
const  GGA_X_SOGGA11              =    151 # Second-order generalized gradient approximation 2011
const  GGA_C_SOGGA11              =    152 # Second-order generalized gradient approximation 2011
const  GGA_C_WI0                  =    153 # Wilson & Ivanov initial version
const  GGA_XC_TH1                 =    154 # Tozer and Handy v. 1
const  GGA_XC_TH2                 =    155 # Tozer and Handy v. 2
const  GGA_XC_TH3                 =    156 # Tozer and Handy v. 3
const  GGA_XC_TH4                 =    157 # Tozer and Handy v. 4
const  GGA_X_C09X                 =    158 # C09x to be used with the VdW of Rutgers-Chalmers
const  GGA_C_SOGGA11_X            =    159 # To be used with HYB_GGA_X_SOGGA11_X
const  GGA_X_LB                   =    160 # van Leeuwen & Baerends
const  GGA_XC_HCTH_93             =    161 # HCTH/93
const  GGA_XC_HCTH_120            =    162 # HCTH/120
const  GGA_XC_HCTH_147            =    163 # HCTH/147
const  GGA_XC_HCTH_407            =    164 # HCTH/407
const  GGA_XC_EDF1                =    165 # EDF1
const  GGA_XC_XLYP                =    166 # XLYP
const  GGA_XC_KT1                 =    167 # Keal and Tozer, version 1
const  GGA_XC_B97_D               =    170 # Becke 97-D
const  GGA_XC_PBE1W               =    173 # PBE1W
const  GGA_XC_MPWLYP1W            =    174 # mPWLYP1w
const  GGA_XC_PBELYP1W            =    175 # PBELYP1W
const  GGA_X_LBM                  =    182 # van Leeuwen & Baerends modified
const  GGA_X_OL2                  =    183 # Exchange form based on Ou-Yang and Levy v.2
const  GGA_X_APBE                 =    184 # mu fixed from the semiclassical neutral atom
const  GGA_K_APBE                 =    185 # mu fixed from the semiclassical neutral atom
const  GGA_C_APBE                 =    186 # mu fixed from the semiclassical neutral atom
const  GGA_K_TW1                  =    187 # Tran and Wesolowski set 1 (Table II)
const  GGA_K_TW2                  =    188 # Tran and Wesolowski set 2 (Table II)
const  GGA_K_TW3                  =    189 # Tran and Wesolowski set 3 (Table II)
const  GGA_K_TW4                  =    190 # Tran and Wesolowski set 4 (Table II)
const  GGA_X_HTBS                 =    191 # Haas, Tran, Blaha, and Schwarz
const  GGA_X_AIRY                 =    192 # Constantin et al based on the Airy gas
const  GGA_X_LAG                  =    193 # Local Airy Gas
const  GGA_XC_MOHLYP              =    194 # Functional for organometallic chemistry
const  GGA_XC_MOHLYP2             =    195 # Functional for barrier heights
const  GGA_XC_TH_FL               =    196 # Tozer and Handy v. FL
const  GGA_XC_TH_FC               =    197 # Tozer and Handy v. FC
const  GGA_XC_TH_FCFO             =    198 # Tozer and Handy v. FCFO
const  GGA_XC_TH_FCO              =    199 # Tozer and Handy v. FCO
const  GGA_C_OPTC                 =    200 # Optimized correlation functional of Cohen and Handy
const  MGGA_X_LTA                 =    201 # Local tau approximation
const  MGGA_X_TPSS                =    202 # Tao, Perdew, Staroverov & Scuseria
const  MGGA_X_M06_L               =    203 # Minnesota M06-L exchange functional
const  MGGA_X_GVT4                =    204 # GVT4 (X part of VSXC)
const  MGGA_X_TAU_HCTH            =    205 # tau-HCTH from Boese and Handy
const  MGGA_X_BR89                =    206 # Becke-Roussel 89
const  MGGA_X_BJ06                =    207 # Becke & Johnson 06
const  MGGA_X_TB09                =    208 # Tran & Blaha 09
const  MGGA_X_RPP09               =    209 # Rasanen, Pittalis & Proetto 09
const  MGGA_X_2D_PRHG07           =    210 # Pittalis-Rasanen-Helbig-Gross 2007
const  MGGA_X_2D_PRHG07_PRP10     =    211 # PRHG07 with Pittalis-Rasanen-Proetto 2010 correction
const  MGGA_X_REVTPSS             =    212 # revised Tao, Perdew, Staroverov & Scuseria
const  MGGA_X_PKZB                =    213 # Perdew, Kurth, Zupan, and Blaha
const  MGGA_X_MS0                 =    221 # MS exchange of Sun, Xiao, and Ruzsinszky
const  MGGA_X_MS1                 =    222 # MS1 exchange of Sun, et al
const  MGGA_X_MS2                 =    223 # MS2 exchange of Sun, et al
const  HYB_MGGA_X_MS2H            =    224 # MS2 hybrid exchange of Sun, et al
const  MGGA_X_M11_L               =    226 # Minnesota M11-L exchange functional
const  MGGA_X_MN12_L              =    227 # Minnesota MN12-L exchange functional
const  MGGA_XC_CC06               =    229 # Cancio and Chou 2006
const  MGGA_X_MK00                =    230 # Exchange for accurate virtual orbital energies
const  MGGA_C_TPSS                =    231 # Tao, Perdew, Staroverov & Scuseria
const  MGGA_C_VSXC                =    232 # VSXC (correlation part)
const  MGGA_C_M06_L               =    233 # Minnesota M06-L correlation functional
const  MGGA_C_M06_HF              =    234 # Minnesota M06-HF correlation functional
const  MGGA_C_M06                 =    235 # Minnesota M06 correlation functional
const  MGGA_C_M06_2X              =    236 # Minnesota M06-2X correlation functional
const  MGGA_C_M05                 =    237 # Minnesota M05 correlation functional
const  MGGA_C_M05_2X              =    238 # Minnesota M05-2X correlation functional
const  MGGA_C_PKZB                =    239 # Perdew, Kurth, Zupan, and Blaha
const  MGGA_C_BC95                =    240 # Becke correlation 95
const  MGGA_C_REVTPSS             =    241 # revised TPSS correlation
const  MGGA_XC_TPSSLYP1W          =    242 # TPSSLYP1W
const  MGGA_X_MK00B               =    243 # Exchange for accurate virtual orbital energies (v. B)
const  MGGA_X_BLOC                =    244 # functional with balanced localization
const  MGGA_X_MODTPSS             =    245 # Modified Tao, Perdew, Staroverov & Scuseria
const  GGA_C_PBELOC               =    246 # Semilocal dynamical correlation
const  MGGA_C_TPSSLOC             =    247 # Semilocal dynamical correlation
const  HYB_MGGA_X_MN12_SX         =    248 # Minnesota MN12-SX hybrid exchange functional
const  MGGA_X_MBEEF               =    249 # mBEEF exchange
const  MGGA_X_MBEEFVDW            =    250 # mBEEF-vdW exchange
const  MGGA_XC_B97M_V             =    254 # B97M-V exchange-correlation functional
const  GGA_XC_VV10                =    255 # Vydrov and Van Voorhis
const  MGGA_X_MVS                 =    257 # MVS exchange of Sun, Perdew, and Ruzsinszky
const  GGA_C_PBEFE                =    258 # PBE for formation energies
const  LDA_XC_KSDT                =    259 # Karasiev, Sjostrom, Dufty & Trickey
const  MGGA_X_MN15_L              =    260 # Minnesota MN15-L exchange functional
const  MGGA_C_MN15_L              =    261 # Minnesota MN15-L correlation functional
const  GGA_C_OP_PW91              =    262 # one-parameter progressive functional (PW91 version)
const  MGGA_X_SCAN                =    263 # SCAN exchange of Sun, Ruzsinszky, and Perdew
const  HYB_MGGA_X_SCAN0           =    264 # SCAN hybrid exchange (SCAN0)
const  GGA_X_PBEFE                =    265 # PBE for formation energies
const  HYB_GGA_XC_B97_1P          =    266 # version of B97 by Cohen and Handy
const  MGGA_C_SCAN                =    267 # SCAN correlation of Sun, Ruzsinszky, and Perdew
const  HYB_MGGA_X_MN15            =    268 # Minnesota MN15 hybrid exchange functional
const  MGGA_C_MN15                =    269 # Minnesota MN15 correlation functional
const  GGA_X_CAP                  =    270 # Correct Asymptotic Potential
const  GGA_X_EB88                 =    271 # Non-empirical (excogitated) B88 functional of Becke and Elliott
const  GGA_C_PBE_MOL              =    272 # Reparametrized PBE by del Campo, Gazquez, Trickey & Vela
const  HYB_GGA_XC_PBE_MOL0        =    273 # PBEmol0
const  HYB_GGA_XC_PBE_SOL0        =    274 # PBEsol0
const  HYB_GGA_XC_PBEB0           =    275 # PBEbeta0
const  HYB_GGA_XC_PBE_MOLB0       =    276 # PBEmolbeta0
const  GGA_K_ABSP3                =    277 # gamma-TFvW form by Acharya et al [g = 1 - 1.513/N^0.35]
const  GGA_K_ABSP4                =    278 # gamma-TFvW form by Acharya et al [g = l = 1/(1 + 1.332/N^(1/3))]
const  HYB_MGGA_X_BMK             =    279 # Boese-Martin for kinetics
const  GGA_C_BMK                  =    280 # Boese-Martin for kinetics
const  GGA_C_TAU_HCTH             =    281 # correlation part of tau-hcth
const  HYB_MGGA_X_TAU_HCTH        =    282 # Hybrid version of tau-HCTH
const  GGA_C_HYB_TAU_HCTH         =    283 # correlation part of hyb-tau-hcth
const  MGGA_X_B00                 =    284 # Becke 2000
const  GGA_X_BEEFVDW              =    285 # BEEF-vdW exchange
const  GGA_XC_BEEFVDW             =    286 # BEEF-vdW exchange-correlation
const  LDA_C_CHACHIYO             =    287 # Chachiyo simple 2 parameter correlation
const  MGGA_XC_HLE17              =    288 # high local exchange 2017
const  LDA_C_LP96                 =    289 # Liu-Parr correlation
const  HYB_GGA_XC_PBE50           =    290 # PBE50
const  GGA_X_PBETRANS             =    291 # Gradient-regulated connection-based correction for the PBE exchange
const  MGGA_C_SCAN_RVV10          =    292 # SCAN + rVV10 correlation
const  MGGA_X_REVM06_L            =    293 # Minnesota revM06-L exchange functional
const  MGGA_C_REVM06_L            =    294 # Minnesota revM06-L correlation functional
const  HYB_MGGA_X_M08_HX          =    295 # Minnesota M08-HX hybrid exchange functional
const  HYB_MGGA_X_M08_SO          =    296 # Minnesota M08-SO hybrid exchange functional
const  HYB_MGGA_X_M11             =    297 # Minnesota M11 hybrid exchange functional
const  GGA_X_CHACHIYO             =    298 # Chachiyo exchange
const  HYB_GGA_XC_B3PW91          =    401 # The original (ACM, B3PW91) hybrid of Becke
const  HYB_GGA_XC_B3LYP           =    402 # B3LYP
const  HYB_GGA_XC_B3P86           =    403 # B3P86
const  HYB_GGA_XC_O3LYP           =    404 # O3LYP
const  HYB_GGA_XC_MPW1K           =    405 # mPW1K
const  HYB_GGA_XC_PBEH            =    406 # PBEH (PBE0)
const  HYB_GGA_XC_B97             =    407 # Becke 97
const  HYB_GGA_XC_B97_1           =    408 # Becke 97-1
const  HYB_GGA_XC_B97_2           =    410 # Becke 97-2
const  HYB_GGA_XC_X3LYP           =    411 # X3LYP
const  HYB_GGA_XC_B1WC            =    412 # B1WC
const  HYB_GGA_XC_B97_K           =    413 # Boese-Martin for Kinetics
const  HYB_GGA_XC_B97_3           =    414 # Becke 97-3
const  HYB_GGA_XC_MPW3PW          =    415 # MPW3PW of Adamo & Barone
const  HYB_GGA_XC_B1LYP           =    416 # B1LYP
const  HYB_GGA_XC_B1PW91          =    417 # B1PW91
const  HYB_GGA_XC_MPW1PW          =    418 # mPW1PW
const  HYB_GGA_XC_MPW3LYP         =    419 # MPW3LYP
const  HYB_GGA_XC_SB98_1A         =    420 # SB98 (1a)
const  HYB_GGA_XC_SB98_1B         =    421 # SB98 (1b)
const  HYB_GGA_XC_SB98_1C         =    422 # SB98 (1c)
const  HYB_GGA_XC_SB98_2A         =    423 # SB98 (2a)
const  HYB_GGA_XC_SB98_2B         =    424 # SB98 (2b)
const  HYB_GGA_XC_SB98_2C         =    425 # SB98 (2c)
const  HYB_GGA_X_SOGGA11_X        =    426 # Hybrid based on SOGGA11 form
const  HYB_GGA_XC_HSE03           =    427 # HSE03
const  HYB_GGA_XC_HSE06           =    428 # HSE06
const  HYB_GGA_XC_HJS_PBE         =    429 # HJS hybrid screened exchange PBE version
const  HYB_GGA_XC_HJS_PBE_SOL     =    430 # HJS hybrid screened exchange PBE_SOL version
const  HYB_GGA_XC_HJS_B88         =    431 # HJS hybrid screened exchange B88 version
const  HYB_GGA_XC_HJS_B97X        =    432 # HJS hybrid screened exchange B97x version
const  HYB_GGA_XC_CAM_B3LYP       =    433 # CAM version of B3LYP
const  HYB_GGA_XC_TUNED_CAM_B3LYP =    434 # CAM version of B3LYP, tuned for excitations and properties
const  HYB_GGA_XC_BHANDH          =    435 # BHandH
const  HYB_GGA_XC_BHANDHLYP       =    436 # BHandHLYP
const  HYB_GGA_XC_MB3LYP_RC04     =    437 # B3LYP with RC04 LDA
const  HYB_MGGA_X_M05             =    438 # Minnesota M05 hybrid exchange functional
const  HYB_MGGA_X_M05_2X          =    439 # Minnesota M05-2X hybrid exchange functional
const  HYB_MGGA_XC_B88B95         =    440 # Mixture of B88 with BC95 (B1B95)
const  HYB_MGGA_XC_B86B95         =    441 # Mixture of B86 with BC95
const  HYB_MGGA_XC_PW86B95        =    442 # Mixture of PW86 with BC95
const  HYB_MGGA_XC_BB1K           =    443 # Mixture of B88 with BC95 from Zhao and Truhlar
const  HYB_MGGA_X_M06_HF          =    444 # Minnesota M06-HF hybrid exchange functional
const  HYB_MGGA_XC_MPW1B95        =    445 # Mixture of mPW91 with BC95 from Zhao and Truhlar
const  HYB_MGGA_XC_MPWB1K         =    446 # Mixture of mPW91 with BC95 for kinetics
const  HYB_MGGA_XC_X1B95          =    447 # Mixture of X with BC95
const  HYB_MGGA_XC_XB1K           =    448 # Mixture of X with BC95 for kinetics
const  HYB_MGGA_X_M06             =    449 # Minnesota M06 hybrid exchange functional
const  HYB_MGGA_X_M06_2X          =    450 # Minnesota M06-2X hybrid exchange functional
const  HYB_MGGA_XC_PW6B95         =    451 # Mixture of PW91 with BC95 from Zhao and Truhlar
const  HYB_MGGA_XC_PWB6K          =    452 # Mixture of PW91 with BC95 from Zhao and Truhlar for kinetics
const  HYB_GGA_XC_MPWLYP1M        =    453 # MPW with 1 par. for metals/LYP
const  HYB_GGA_XC_REVB3LYP        =    454 # Revised B3LYP
const  HYB_GGA_XC_CAMY_BLYP       =    455 # CAMY version of BLYP
const  HYB_GGA_XC_PBE0_13         =    456 # PBE0-1/3
const  HYB_MGGA_XC_TPSSH          =    457 # TPSSh
const  HYB_MGGA_XC_REVTPSSH       =    458 # revTPSSh
const  HYB_GGA_XC_B3LYPS          =    459 # B3LYP*
const  HYB_GGA_XC_WB97            =    463 # wB97 range-separated functional
const  HYB_GGA_XC_WB97X           =    464 # wB97X range-separated functional
const  HYB_GGA_XC_LRC_WPBEH       =    465 # Long-range corrected short-range hybrid PBE (LRC-wPBEh) by Rohrdanz, Martins and Herbert
const  HYB_GGA_XC_WB97X_V         =    466 # wB97X-V range-separated functional
const  HYB_GGA_XC_LCY_PBE         =    467 # LCY version of PBE
const  HYB_GGA_XC_LCY_BLYP        =    468 # LCY version of BLYP
const  HYB_GGA_XC_LC_VV10         =    469 # Vydrov and Van Voorhis
const  HYB_GGA_XC_CAMY_B3LYP      =    470 # CAMY version of B3LYP
const  HYB_GGA_XC_WB97X_D         =    471 # wB97D range-separated functional
const  HYB_GGA_XC_HPBEINT         =    472 # hPBEint
const  HYB_GGA_XC_LRC_WPBE        =    473 # Long-range corrected PBE (LRC-wPBE) by Rohrdanz, Martins and Herbert
const  HYB_MGGA_X_MVSH            =    474 # MVSh hybrid exchange functional
const  HYB_GGA_XC_B3LYP5          =    475 # B3LYP with VWN functional 5 instead of RPA
const  HYB_GGA_XC_EDF2            =    476 # EDF2
const  HYB_GGA_XC_CAP0            =    477 # Correct Asymptotic Potential hybrid
const  HYB_GGA_XC_LC_WPBE         =    478 # Long-range corrected PBE (LC-wPBE) by Vydrov and Scuseria
const  HYB_GGA_XC_HSE12           =    479 # HSE12
const  HYB_GGA_XC_HSE12S          =    480 # HSE12 (short-range version)
const  HYB_GGA_XC_HSE_SOL         =    481 # HSEsol
const  HYB_GGA_XC_CAM_QTP_01      =    482 # CAM-B3LYP retuned using ionization potentials of water
const  HYB_GGA_XC_MPW1LYP         =    483 # mPW1LYP
const  HYB_GGA_XC_MPW1PBE         =    484 # mPW1PBE
const  HYB_GGA_XC_KMLYP           =    485 # Kang-Musgrave hybrid
const  GGA_K_VW                   =    500 # von Weiszaecker correction to Thomas-Fermi
const  GGA_K_GE2                  =    501 # Second-order gradient expansion of the kinetic energy density
const  GGA_K_GOLDEN               =    502 # TF-lambda-vW form by Golden (l = 13/45)
const  GGA_K_YT65                 =    503 # TF-lambda-vW form by Yonei and Tomishima (l = 1/5)
const  GGA_K_BALTIN               =    504 # TF-lambda-vW form by Baltin (l = 5/9)
const  GGA_K_LIEB                 =    505 # TF-lambda-vW form by Lieb (l = 0.185909191)
const  GGA_K_ABSP1                =    506 # gamma-TFvW form by Acharya et al [g = 1 - 1.412/N^(1/3)]
const  GGA_K_ABSP2                =    507 # gamma-TFvW form by Acharya et al [g = 1 - 1.332/N^(1/3)]
const  GGA_K_GR                   =    508 # gamma-TFvW form by Gazquez and Robles
const  GGA_K_LUDENA               =    509 # gamma-TFvW form by Ludena
const  GGA_K_GP85                 =    510 # gamma-TFvW form by Ghosh and Parr
const  GGA_K_PEARSON              =    511 # Pearson 1992
const  GGA_K_OL1                  =    512 # Ou-Yang and Levy v.1
const  GGA_K_OL2                  =    513 # Ou-Yang and Levy v.2
const  GGA_K_FR_B88               =    514 # Fuentealba & Reyes (B88 version)
const  GGA_K_FR_PW86              =    515 # Fuentealba & Reyes (PW86 version)
const  GGA_K_DK                   =    516 # DePristo and Kress
const  GGA_K_PERDEW               =    517 # Perdew
const  GGA_K_VSK                  =    518 # Vitos, Skriver, and Kollar
const  GGA_K_VJKS                 =    519 # Vitos, Johansson, Kollar, and Skriver
const  GGA_K_ERNZERHOF            =    520 # Ernzerhof
const  GGA_K_LC94                 =    521 # Lembarki & Chermette
const  GGA_K_LLP                  =    522 # Lee, Lee & Parr
const  GGA_K_THAKKAR              =    523 # Thakkar 1992
const  GGA_X_WPBEH                =    524 # short-range part of the PBE (default w=0 gives PBEh)
const  GGA_X_HJS_PBE              =    525 # HJS screened exchange PBE version
const  GGA_X_HJS_PBE_SOL          =    526 # HJS screened exchange PBE_SOL version
const  GGA_X_HJS_B88              =    527 # HJS screened exchange B88 version
const  GGA_X_HJS_B97X             =    528 # HJS screened exchange B97x version
const  GGA_X_ITYH                 =    529 # Short-range recipe for exchange GGA functionals
const  GGA_X_SFAT                 =    530 # Short-range recipe for exchange GGA functionals - Yukawa
const  HYB_MGGA_XC_WB97M_V        =    531 # wB97M-V exchange-correlation functional
const  LDA_X_REL                  =    532 # Slater exchange with relativistic corrections
const  GGA_X_SG4                  =    533 # Semiclassical GGA at fourth order
const  GGA_C_SG4                  =    534 # Semiclassical GGA at fourth order
const  GGA_X_GG99                 =    535 # Gilbert and Gill 1999
const  LDA_XC_1D_EHWLRG_1         =    536 # LDA constructed from slab-like systems of 1 electron
const  LDA_XC_1D_EHWLRG_2         =    537 # LDA constructed from slab-like systems of 2 electrons
const  LDA_XC_1D_EHWLRG_3         =    538 # LDA constructed from slab-like systems of 3 electrons
const  GGA_X_PBEPOW               =    539 # PBE power
const  MGGA_X_TM                  =    540 # Tao and Mo 2016
const  MGGA_X_VT84                =    541 # meta-GGA version of VT{8,4} GGA
const  MGGA_X_SA_TPSS             =    542 # TPSS with correct surface asymptotics
const  MGGA_K_PC07                =    543 # Perdew and Constantin 2007
const  GGA_X_KGG99                =    544 # Gilbert and Gill 1999 (mixed)
const  GGA_XC_HLE16               =    545 # high local exchange 2016
const  LDA_X_ERF                  =    546 # Attenuated exchange LDA (erf)
const  LDA_XC_LP_A                =    547 # Lee-Parr reparametrization A
const  LDA_XC_LP_B                =    548 # Lee-Parr reparametrization B
const  LDA_X_RAE                  =    549 # Rae self-energy corrected exchange
const  LDA_K_ZLP                  =    550 # Wigner including kinetic energy contribution
const  LDA_C_MCWEENY              =    551 # McWeeny 76
const  LDA_C_BR78                 =    552 # Brual & Rothstein 78
const  GGA_C_SCAN_E0              =    553 # GGA component of SCAN
const  LDA_C_PK09                 =    554 # Proynov and Kong 2009
const  GGA_C_GAPC                 =    555 # GapC
const  GGA_C_GAPLOC               =    556 # Gaploc
const  GGA_C_ZVPBEINT             =    557 # another spin-dependent correction to PBEint
const  GGA_C_ZVPBESOL             =    558 # another spin-dependent correction to PBEsol
const  GGA_C_TM_LYP               =    559 # Takkar and McCarthy reparametrization
const  GGA_C_TM_PBE               =    560 # Thakkar and McCarthy reparametrization
const  GGA_C_W94                  =    561 # Wilson 94 (Eq. 25)
const  MGGA_C_KCIS                =    562 # Krieger, Chen, Iafrate, and Savin
const  HYB_MGGA_XC_B0KCIS         =    563 # Hybrid based on KCIS
const  MGGA_XC_LP90               =    564 # Lee & Parr, Eq. (56)
const  GGA_C_CS1                  =    565 # A dynamical correlation functional
const  HYB_MGGA_XC_MPW1KCIS       =    566 # MPW1KCIS for barrier heights
const  HYB_MGGA_XC_MPWKCIS1K      =    567 # MPWKCIS1K for barrier heights
const  HYB_MGGA_XC_PBE1KCIS       =    568 # PBE1KCIS for binding energies
const  HYB_MGGA_XC_TPSS1KCIS      =    569 # TPSS1KCIS for thermochemistry and kinetics
const  GGA_X_B88M                 =    570 # Becke 88 reoptimized to be used with tau1
const  MGGA_C_B88                 =    571 # Meta-GGA correlation by Becke
const  HYB_GGA_XC_B5050LYP        =    572 # B5050LYP
const  LDA_C_OW_LYP               =    573 # Wigner with corresponding LYP parameters
const  LDA_C_OW                   =    574 # Optimized Wigner
const  MGGA_X_GX                  =    575 # GX functional of Loos
const  MGGA_X_PBE_GX              =    576 # PBE-GX functional of Loos
const  LDA_XC_GDSMFB              =    577 # Groth, Dornheim, Sjostrom, Malone, Foulkes, Bonitz
const  LDA_C_GK72                 =    578 # Gordon and Kim 1972
const  LDA_C_KARASIEV             =    579 # Karasiev reparameterization of Chachiyo
const  LDA_K_LP96                 =    580 # Liu-Parr kinetic
const  MGGA_X_REVSCAN             =    581 # revised SCAN
const  MGGA_C_REVSCAN             =    582 # revised SCAN
const  HYB_MGGA_X_REVSCAN0        =    583 # revised SCAN hybrid exchange (SCAN0)
const  MGGA_C_SCAN_VV10           =    584 # SCAN + VV10 correlation
const  MGGA_C_REVSCAN_VV10        =    585 # REVSCAN + VV10 correlation
const  MGGA_X_BR89_EXPLICIT       =    586 # Becke-Roussel 89
const  GGA_K_PBE3                 =    595 # Three parameter PBE-like expansion
const  GGA_K_PBE4                 =    596 # Four parameter PBE-like expansion
const  GGA_K_EXP4                 =    597 # Intermediate form between PBE3 and PBE4
const  HYB_MGGA_XC_B98            =    598 # Becke 98
